#include <iostream>
#include "test.h"

/**
 * Line used for class generation : xsd cxx-tree --output-dir "." --hxx-suffix ".h" --cxx-suffix ".cpp" --namespace-map http://com.issue.org/com.issue=com::issue test.xsd
 * Line used to successfully compile sources : g++ -I include -L . -lxerces-c-3.1 -fpermissive main.cpp test.cpp
 * Issuing compilation error : g++ -I include -L . -lxerces-c-3.1 main.cpp test.cpp
 */


int main(void){
	
	std::cout << "-- Begin --" << std::endl;
	try {
		std::auto_ptr< ::com::issue::list> list(::com::issue::list_("test.xml",xml_schema::flags::dont_validate));
		if(*list->number().begin() != 0){
			int nb = *list->number().begin();
			std::cout << "First element = " << nb << std::endl;
		}else{
			std::cout << "No element."<< std::endl;
		}
				
		} catch (const ::xml_schema::exception& exc) {
				std::cerr << "An error occured : " <<exc << std::endl;
		}
	std::cout << "-- End --" << std::endl;
	return 0;
}



